import Foundation
import SpriteKit

class BoardNode: SKShapeNode {
    init(cells: (w: Int, h: Int), size: CGSize) {
        super.init()
        
        let path = CGMutablePath()
        path.addRect(CGRect(x: 0, y: 0, width: size.width, height: size.height))
        
        for y in 0..<cells.h {
            for x in 0..<cells.w {
                let border = PieceNode.pieceSize - PieceNode.pieceSize * PieceNode.borderFactor
                let offset = border / 2
                let size2 = PieceNode.pieceSize - border
                
                path.addEllipse(in: CGRect(
                    x: CGFloat(x) * PieceNode.pieceSize + offset,
                    y: CGFloat(y) * PieceNode.pieceSize + offset,
                    width: size2,
                    height: size2
                ))
            }
        }
        
        self.path = path
        fillColor = .blue
        strokeColor = .black
    }
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
}
