import Foundation
import Connect4Core
import Connect4Players

enum PlayerType: CaseIterable, Identifiable {
    var id: Self { self }
    
    case Human, AIRandom, AIFinnishHim, AISimpleNegaMax
}

extension Player {
    var type: PlayerType {
        switch (self) {
        case is HumanPlayer: .Human
        case is RandomPlayer: .AIRandom
        case is FinnishHimPlayer: .AIFinnishHim
        case is SimpleNegaMaxPlayer: .AISimpleNegaMax
        default: fatalError("Unexpected player type")
        }
    }
}
