import Connect4Core
import Connect4Rules

enum RulesType: CaseIterable, Identifiable {
    var id: Self { self }
    
    case Classic, TicTacToe, PopOut
}

extension Rules {
    var type: RulesType {
        switch (self) {
        case is Connect4Rules: .Classic
        case is TicTacToeRules: .TicTacToe
        case is PopOutRules: .PopOut
        default: fatalError("Unexpected rules type")
        }
    }
}
