//
//  PlayerVSPage.swift
//  App
//
//  Created by etudiant2 on 28/05/2025.
//

import SwiftUI
import Charts

struct PlayerVSPage: View {
    private var chartData: [(key: LocalizedStringKey, color: Color, value: UInt)] = [
        (key: "playerVs.chart.wins \("Player 1" as String)", color: .red, value: 1),
        (key: "playerVs.chart.wins \("Player 2" as String)", color: .yellow, value: 2),
        (key: "playerVs.chart.draws", color: .gray, value: 3),
    ]
    
    var body: some View {
        VStack {
            HStack {
                PlayerPicker()
                
                Spacer()
                
                Chart {
                    ForEach(chartData, id: \.color) { entry in
                        SectorMark(angle: .value(entry.key, entry.value))
                            .annotation(position: .overlay) {
                                Text(entry.value.description).font(.caption)
                            }
                            .foregroundStyle(entry.color)
                    }
                }.frame(height: 100)
                
                Spacer()

                PlayerPicker()
            }
            
            // ScoreboardView("scoreboard.table.column.players") { result in
            //     "\(result.player1) savedGames.section.finished.entry \(result.player2)"
            // }
        }
    }
}

struct PlayerPicker: View {
    var body: some View {
        VStack {
            Circle().frame(width: 50, height: 50)
            
            Button("Button Idk" as String) {
                //
            }
        }
    }
}

#Preview {
    PlayerVSPage()
}
