import Foundation

class NewGameVM : ObservableObject {
    @Published var rulesType: RulesType = .Classic
    @Published var width: UInt = 7 { didSet { if width < 1 { width = 1 } } }
    @Published var height: UInt = 6 { didSet { if height < 1 { height = 1 } } }
    @Published var alignedTokens: UInt = 4 { didSet { if alignedTokens < 2 { alignedTokens = 2 } } }
}

// Didn't manage to nest player settings under NewGameVM
class PlayerSettingsVM : ObservableObject, Identifiable {
    @Published var type: PlayerType
    @Published var name: String = ""
    
    init(type: PlayerType) {
        self.type = type
    }
}
