import Foundation
import Connect4Core
import Connect4Players

class PlayerVM: ObservableObject {
    private let inner: Player
    
    var name: String { inner.name }
    var type: PlayerType
    var id: Owner { inner.id }
    
    init(inner: Player) {
        self.inner = inner
        self.type = switch(inner) {
        case is RandomPlayer: .AIRandom
        case is FinnishHimPlayer: .AIFinnishHim
        case is SimpleNegaMaxPlayer: .AISimpleNegaMax
        default: .Human
        }
    }
}
